Bug 22369 - Überarbeitung Mailstack für UCS 3.0
Überarbeitung Mailstack für UCS 3.0
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Mail
UCS 3.0
Other Linux
: P5 enhancement (vote)
: UCS 3.0 - MS2
Assigned To: Sönke Schwardt-Krummrich
Felix Botner
:
: 21075 23761 26842 (view as bug list)
Depends on:
Blocks: 22873
  Show dependency treegraph
 
Reported: 2011-05-03 10:16 CEST by Sönke Schwardt-Krummrich
Modified: 2012-04-19 15:35 CEST (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2011-05-03 10:16:35 CEST
Der Mailstack muss für UCS 3.0 überarbeitet und z.B. die Kolab-Anteile entfernt werden.
Comment 1 Stefan Gohmann univentionstaff 2011-05-18 06:43:17 CEST
*** Bug 21075 has been marked as a duplicate of this bug. ***
Comment 2 Stefan Gohmann univentionstaff 2011-05-19 15:31:34 CEST
Die Basispakete müssten entsprechend übernommen werden:

https://hutten.knut.univention.de/mediawiki/index.php/UCS-3.0-Aktualisierung-Univention-Pakete#Mail.2FKolab2
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2011-09-08 11:53:35 CEST
* univention-mail-postfix, univention-mail-postfix-forward, und 
  univention-mail-postfix-kolab2 wurden im Sourcepaket univention-mail-postfix
  gemerged und die kolab-Anteile entfernt.
* Das Sourcepaket univention-mail-postfix generiert die Binärpakete 
  univention-mail-postfix und univention-mail-server.
* Das Binärpaket univention-mail-server setzt nur einige UCR-Variablen und 
  bringt ein Listenermodul mit, um die UCR-Variable mail/hosteddomains 
  automatisch zu pflegen. Die gesamte Konfiguration für den vollständigen 
  Mailstack ist bereits in univention-mail-postfix enthalten und kann per UCR 
  aktiviert werden.
* Die UCR-Variable mail/postfix/smtp/hostlookup wurde hinzugefügt, um in der
  main.cf die Option smtp_host_lookup setzen zu können (Bug 22319).
* Die Auswertung von mail/hosteddomains wurde im Template der Datei 
  /etc/postfix/transport entfernt. 
* Das Transport-File ist jetzt ein Multifiletemplate und kann erweitert werden.
* Das Skript /etc/init.d/postfix wurde auf die aktuelle Squeeze-Version 
  aktualisiert.
* Über die UCR-Variablen mail/postfix/ssl/certificate und 
  mail/postfix/ssl/key können eigene SSL-Dateien für Postfix angegeben 
  werden (siehe auch Bug #21867).
* relay_domains wird per Default leer gesetzt und kann über die UCR-Variable
  mail/postfix/relay/domains überschrieben werden.
* Die LDAP-Tables wurden in eigene Dateien ausgelagert (/etc/postfix/ldap.*),
  da diese jetzt ein Passwort enthalten. Sie sind nur für root/postfix lesbar
  und werden jeweils über ein Multifiletemplate generiert. Sie lesen beim 
  Commit das aktuelle Passwort aus /etc/machine.secret aus. Während des 
  Wechsels des Maschinenpassworts wird der Postfix angehalten und die 
  LDAP-Tables über "ucr commit ..." neu generiert (siehe auch Bug 23362).
* mydestination wurde zusammengekürzt auf auf den FQDN des Systems, localhost
  sowie localhost.$domainname; mehr wird für die lokale Mailzustellung für 
  systemmail nicht benötigt.
* Die virtual-Tables für die Mailzustellung an LDAP-User kann per UCR aktiviert
  werden (mail/postfix/virtual/enabled=yes).
* Die virtual-Einträge (virtual_alias_maps, virtual_alias_domains, 
  virtual_mailbox_maps, virtual_mailbox_domains) enthalten alle passende 
  Defaultwerte und können auch über UCR-Variablen manuell gesetzt werden:
  - mail/postfix/virtual/alias/domains
  - mail/postfix/virtual/alias/maps
  - mail/postfix/virtual/mailbox/domains
  - mail/postfix/virtual/mailbox/maps
  Der virtual_transport steht per Default auf "lmtp:127.0.0.1:2003" und kann
  per mail/postfix/virtual/transport gesetzt werden.
* Für eine Zustellung der Mails an Domain-Users muss die UCR-Variable 
  mail/postfix/transport/ldap/enabled auf yes/true gesetzt sein.
* Das Mailsystem hört in der Standardeinstellung nur auf IPv4-Interfaces. Die 
  UCR-Variable mail/postfix/inet/protocols erlaubt die Werte 
  "all", "ipv4" (Default), "ipv6", "ipv4, ipv6"
* Der Minimalmailstack hört nur auf dem loopback-Interface 
  (mail/postfix/inet/interfaces=127.0.0.1), während der volle Mailstack auf 
  allen IP-Adressen/Interfaces hört (mail/postfix/inet/interfaces=all).
* Die LDAP-Tables wurden auf die neuen LDAP-Objektklassen/Attribute 
  umgeschrieben.
* Die Amavis-Anbindung für spamassassin/antivirus über Port 10025 wurde 
  beibehalten.

Siehe auch 
https://hutten.knut.univention.de/mediawiki/index.php/UCS-3.0-Mailservice
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2011-09-08 15:26:11 CEST
* während der Erstinstallation und bei Updates auf Version 6.0.7-1 von 
  univention-mail-postfix werden die .info-Files von 
  univention-mail-postfix-forward und univention-mail-postfix-kolab2 entfernt.
  Ebenso werden die SingleFileTemplates für master.cf und main.cf entfernt.
  Die Entfernung erfolgt über die Shellskript-Kommandos aus der univention-lib.
Comment 5 Felix Botner univentionstaff 2011-09-22 11:16:30 CEST
*** Bug 23761 has been marked as a duplicate of this bug. ***
Comment 6 Felix Botner univentionstaff 2011-09-22 11:17:06 CEST
Bitte nochmal das Problem aus Bug #23761 untersuchen.
Comment 7 Sönke Schwardt-Krummrich univentionstaff 2011-09-22 11:32:52 CEST
Im Joinskript wird jetzt mindestens ein Mail-Domänen-Objekt angelegt, sofern noch keines vorhanden ist. Per Default wird dafür "$domainname" verwendet. Über die UCR-Variable "mail/default/domains" können leerzeichensepariert andere Domänen vor der Paketinstallation bzw. dem Joinskript definiert werden.

Im Joinskript wird das server_password_change Skript nocheinmal mit "prechange" und "postchange" aufgerufen, um während des Joinvorgangs das aktuelle Passwort zu übernehmen.
Comment 8 Sönke Schwardt-Krummrich univentionstaff 2011-09-22 13:33:14 CEST
Der in Bug 23761 beschriebene Traceback wird jetzt verhindert. Sollte die Datei /etc/machine.secret fehlen, wird vom UCR-Template die Zeile "bind_pw = MACHINE.SECRET_IS_MISSING" in die Zieldatei geschrieben.
Durch den Aufruf des server-password-change-Skriptes wird der Wert während des Joinvorgangs aktualisiert.

univention-mail-postfix (6.0.14-1) unstable; urgency=low
Comment 9 Sönke Schwardt-Krummrich univentionstaff 2011-09-22 15:43:59 CEST
Die UCR-Variablen postfix/masquerade/{domains,exceptions} wurden nach
mail/postfix/masquerade/{domains,exceptions} umbenannt. Während des Updates werden die Werte automatisch übernommen.
Comment 10 Sönke Schwardt-Krummrich univentionstaff 2011-09-27 16:11:33 CEST
In den LDAP-Tables (/etc/postfix/ldap.*) werden anscheinend die Postfix-Config-Variablen (z.B. $myhostname) nicht ausgewertet. Daher wurden diese Variablen gegen die UCR-Pendants ausgetauscht.

univention-mail-postfix (6.0.19-1) unstable; urgency=low
Comment 11 Felix Botner univentionstaff 2011-10-04 12:08:49 CEST
> * univention-mail-postfix, univention-mail-postfix-forward, und 
>   univention-mail-postfix-kolab2 wurden im Sourcepaket univention-mail-postfix
>   gemerged und die kolab-Anteile entfernt.

OK

> * Das Sourcepaket univention-mail-postfix generiert die Binärpakete 
>   univention-mail-postfix und univention-mail-server.

OK

> * Das Binärpaket univention-mail-server setzt nur einige UCR-Variablen und 
>   bringt ein Listenermodul mit, um die UCR-Variable mail/hosteddomains 
>   automatisch zu pflegen. Die gesamte Konfiguration für den vollständigen 
>   Mailstack ist bereits in univention-mail-postfix enthalten und kann per UCR 
>   aktiviert werden.

FAILED, soweit gut, jedoch wird im Listener nur der cyrus 2.4 neu gestartet. 
Da wir auch cyrus 2.2 anbieten, sollte dieser wohl ebenfalls neu gestartet 
werden (/etc/init.d/cyrus2.2).

> * Die UCR-Variable mail/postfix/smtp/hostlookup wurde hinzugefügt, um in der
>   main.cf die Option smtp_host_lookup setzen zu können (Bug 22319).

OK

> * Die Auswertung von mail/hosteddomains wurde im Template der Datei 
>   /etc/postfix/transport entfernt. 
> * Das Transport-File ist jetzt ein Multifiletemplate und kann erweitert werden.

OK 
ucr set mail/maps/transport/one="example.com smtp:bar.example:2025"

> * Das Skript /etc/init.d/postfix wurde auf die aktuelle Squeeze-Version 
>   aktualisiert.

OK

> * Über die UCR-Variablen mail/postfix/ssl/certificate und                                                                                   
>   mail/postfix/ssl/key können eigene SSL-Dateien für Postfix angegeben 
>   werden (siehe auch Bug #21867).

OK

> * relay_domains wird per Default leer gesetzt und kann über die UCR-Variable
>   mail/postfix/relay/domains überschrieben werden.

OK

> * Die LDAP-Tables wurden in eigene Dateien ausgelagert (/etc/postfix/ldap.*),
>   da diese jetzt ein Passwort enthalten. Sie sind nur für root/postfix lesbar
>   und werden jeweils über ein Multifiletemplate generiert. Sie lesen beim 
>   Commit das aktuelle Passwort aus /etc/machine.secret aus. Während des 
>   Wechsels des Maschinenpassworts wird der Postfix angehalten und die 
>   LDAP-Tables über "ucr commit ..." neu generiert (siehe auch Bug 23362).

OK - Permissions
OK - Multifile
OK - Passwortwechsel
FAILED - distlist (am Ldap Objekt wird "univentionMailMember" verwendet,
         in der Postfix Konfig "univentionMailListMember")
OK - ldap.groups
FAILED - ldap.sharedfolderlocal/ldap.sharedfolderremote 
         (Postfix kommt mit univentioninternalpostuser nicht 
         klar, Recipient address rejected: User unknown in virtual mailbox table)
OK - ldap.transport

TODO - der canonical Kram kann erst durch Bug #23900 getestet werden

> * mydestination wurde zusammengekürzt auf auf den FQDN des Systems, localhost
>   sowie localhost.$domainname; mehr wird für die lokale Mailzustellung für 
>   systemmail nicht benötigt.

OK

> * Die virtual-Tables für die Mailzustellung an LDAP-User kann per UCR aktiviert
>   werden (mail/postfix/virtual/enabled=yes).

OK 

> * Die virtual-Einträge (virtual_alias_maps, virtual_alias_domains, 
>   virtual_mailbox_maps, virtual_mailbox_domains) enthalten alle passende 
>   Defaultwerte und können auch über UCR-Variablen manuell gesetzt werden:
>   - mail/postfix/virtual/alias/domains
>   - mail/postfix/virtual/alias/maps
>   - mail/postfix/virtual/mailbox/domains
>   - mail/postfix/virtual/mailbox/maps
>   Der virtual_transport steht per Default auf "lmtp:127.0.0.1:2003" und kann
>   per mail/postfix/virtual/transport gesetzt werden.

OK

> * Für eine Zustellung der Mails an Domain-Users muss die UCR-Variable 
>   mail/postfix/transport/ldap/enabled auf yes/true gesetzt sein.

FAILED - mail/postfix/transport/ldap/enabled auf "no" gesetzt, Mailzustellung
         an User funktioniert weiterhin

> * Das Mailsystem hört in der Standardeinstellung nur auf IPv4-Interfaces. Die 
>   UCR-Variable mail/postfix/inet/protocols erlaubt die Werte 
>   "all", "ipv4" (Default), "ipv6", "ipv4, ipv6"

OK

> * Der Minimalmailstack hört nur auf dem loopback-Interface 
>   (mail/postfix/inet/interfaces=127.0.0.1), während der volle Mailstack auf 
>   allen IP-Adressen/Interfaces hört (mail/postfix/inet/interfaces=all).

OK

> * Die LDAP-Tables wurden auf die neuen LDAP-Objektklassen/Attribute 
>   umgeschrieben.

OK

> * Die Amavis-Anbindung für spamassassin/antivirus über Port 10025 wurde 
>   beibehalten.

OK

> * während der Erstinstallation und bei Updates auf Version 6.0.7-1 von 
>   univention-mail-postfix werden die .info-Files von 
>   univention-mail-postfix-forward und univention-mail-postfix-kolab2 entfernt.
>   Ebenso werden die SingleFileTemplates für master.cf und main.cf entfernt.
>   Die Entfernung erfolgt über die Shellskript-Kommandos aus der univention-lib.

OK
 
> * Im Joinskript wird jetzt mindestens ein Mail-Domänen-Objekt angelegt, sofern
>   noch keines vorhanden ist. Per Default wird dafür "$domainname" verwendet. Über
>   die UCR-Variable "mail/default/domains" können leerzeichensepariert andere
>   Domänen vor der Paketinstallation bzw. dem Joinskript definiert werden.
>   Im Joinskript wird das server_password_change Skript nocheinmal mit "prechange"
>   und "postchange" aufgerufen, um während des Joinvorgangs das aktuelle Passwort
>   zu übernehmen.

OK

> 
> * Der in Bug 23761 beschriebene Traceback wird jetzt verhindert. Sollte die Datei
>   /etc/machine.secret fehlen, wird vom UCR-Template die Zeile "bind_pw =
>   MACHINE.SECRET_IS_MISSING" in die Zieldatei geschrieben.
>   Durch den Aufruf des server-password-change-Skriptes wird der Wert während des
>   Joinvorgangs aktualisiert.

OK

> 
> * Die UCR-Variablen postfix/masquerade/{domains,exceptions} wurden nach
>   mail/postfix/masquerade/{domains,exceptions} umbenannt. Während des Updates
>   werden die Werte automatisch übernommen.

OK

> 
> * In den LDAP-Tables (/etc/postfix/ldap.*) werden anscheinend die
>   Postfix-Config-Variablen (z.B. $myhostname) nicht ausgewertet. Daher wurden
>   diese Variablen gegen die UCR-Pendants ausgetauscht.

OK
Comment 12 Sönke Schwardt-Krummrich univentionstaff 2011-10-04 16:25:59 CEST
(In reply to comment #11)
> > * univention-mail-postfix, univention-mail-postfix-forward, und 
> >   univention-mail-postfix-kolab2 wurden im Sourcepaket 
> >   univention-mail-postfix gemerged und die kolab-Anteile entfernt.
> 
> OK
> 
> > * Das Sourcepaket univention-mail-postfix generiert die Binärpakete 
> >   univention-mail-postfix und univention-mail-server.
> 
> OK
> 
> > * Das Binärpaket univention-mail-server setzt nur einige UCR-Variablen und 
> >   bringt ein Listenermodul mit, um die UCR-Variable mail/hosteddomains 
> >   automatisch zu pflegen. Die gesamte Konfiguration für den vollständigen 
> >   Mailstack ist bereits in univention-mail-postfix enthalten und kann per 
> >   UCR aktiviert werden.
> 
> FAILED, soweit gut, jedoch wird im Listener nur der cyrus 2.4 neu gestartet. 
> Da wir auch cyrus 2.2 anbieten, sollte dieser wohl ebenfalls neu gestartet 
> werden (/etc/init.d/cyrus2.2).

→ fixed
 
> > * Die UCR-Variable mail/postfix/smtp/hostlookup wurde hinzugefügt, um in der
> >   main.cf die Option smtp_host_lookup setzen zu können (Bug 22319).
> 
> OK
> 
> > * Die Auswertung von mail/hosteddomains wurde im Template der Datei 
> >   /etc/postfix/transport entfernt. 
> > * Das Transport-File ist jetzt ein Multifiletemplate und kann erweitert 
> >   werden.
> 
> OK 
> ucr set mail/maps/transport/one="example.com smtp:bar.example:2025"
> 
> > * Das Skript /etc/init.d/postfix wurde auf die aktuelle Squeeze-Version 
> >   aktualisiert.
> 
> OK
> 
> > * Über die UCR-Variablen mail/postfix/ssl/certificate und      
> >   mail/postfix/ssl/key können eigene SSL-Dateien für Postfix angegeben 
> >   werden (siehe auch Bug #21867).
> 
> OK
> 
> > * relay_domains wird per Default leer gesetzt und kann über die UCR-Variable
> >   mail/postfix/relay/domains überschrieben werden.
> 
> OK
> 
> > * Die LDAP-Tables wurden in eigene Dateien ausgelagert 
> >   (/etc/postfix/ldap.*), da diese jetzt ein Passwort enthalten. Sie sind 
> >   nur für root/postfix lesbar und werden jeweils über ein 
> >   Multifiletemplate generiert. Sie lesen beim 
> >   Commit das aktuelle Passwort aus /etc/machine.secret aus. Während des 
> >   Wechsels des Maschinenpassworts wird der Postfix angehalten und die 
> >   LDAP-Tables über "ucr commit ..." neu generiert (siehe auch Bug 23362).
> 
> OK - Permissions
> OK - Multifile
> OK - Passwortwechsel
> FAILED - distlist (am Ldap Objekt wird "univentionMailMember" verwendet,
>          in der Postfix Konfig "univentionMailListMember")

→ fixed

> OK - ldap.groups
> FAILED - ldap.sharedfolderlocal/ldap.sharedfolderremote 
>          (Postfix kommt mit univentioninternalpostuser nicht 
>          klar, Recipient address rejected: User unknown in virtual mailbox
> table)

→ fixed

> OK - ldap.transport
> 
> TODO - der canonical Kram kann erst durch Bug #23900 getestet werden
> 
> > * mydestination wurde zusammengekürzt auf auf den FQDN des Systems, 
> >   localhost sowie localhost.$domainname; mehr wird für die lokale 
> >   Mailzustellung für systemmail nicht benötigt.
> 
> OK
> 
> > * Die virtual-Tables für die Mailzustellung an LDAP-User kann per UCR 
> >   aktiviert werden (mail/postfix/virtual/enabled=yes).
> 
> OK 
> 
> > * Die virtual-Einträge (virtual_alias_maps, virtual_alias_domains, 
> >   virtual_mailbox_maps, virtual_mailbox_domains) enthalten alle passende 
> >   Defaultwerte und können auch über UCR-Variablen manuell gesetzt werden:
> >   - mail/postfix/virtual/alias/domains
> >   - mail/postfix/virtual/alias/maps
> >   - mail/postfix/virtual/mailbox/domains
> >   - mail/postfix/virtual/mailbox/maps
> >   Der virtual_transport steht per Default auf "lmtp:127.0.0.1:2003" und kann
> >   per mail/postfix/virtual/transport gesetzt werden.
> 
> OK
> 
> > * Für eine Zustellung der Mails an Domain-Users muss die UCR-Variable 
> >   mail/postfix/transport/ldap/enabled auf yes/true gesetzt sein.
> 
> FAILED - mail/postfix/transport/ldap/enabled auf "no" gesetzt, Mailzustellung
>          an User funktioniert weiterhin

Da habe ich mich missverständlich ausgedrückt:

Ist mail/postfix/transport/ldap/enabled auf "no" gesetzt, wird für alle Domänen-Benutzer versucht, die Mail lokal zuzustellen. Egal ob univentionMailHomeServer gesetzt ist oder nicht.

Ist mail/postfix/transport/ldap/enabled auf "yes" gesetzt und univentionMailHomeServer entspricht nicht dem lokalen FQDN, wird die Mail an den <univentionMailHomeServer> weitergeleitet.

Für die korrekte Zustellung in der Domäne sollte diese UCR-Variable daher bei der Verwendung von univention-mail-server i.d.R. auf "yes" stehen.

> > * Das Mailsystem hört in der Standardeinstellung nur auf IPv4-Interfaces. 
> >   Die UCR-Variable mail/postfix/inet/protocols erlaubt die Werte 
> >   "all", "ipv4" (Default), "ipv6", "ipv4, ipv6"
> 
> OK
> 
> > * Der Minimalmailstack hört nur auf dem loopback-Interface 
> >   (mail/postfix/inet/interfaces=127.0.0.1), während der volle Mailstack auf 
> >   allen IP-Adressen/Interfaces hört (mail/postfix/inet/interfaces=all).
> 
> OK
> 
> > * Die LDAP-Tables wurden auf die neuen LDAP-Objektklassen/Attribute 
> >   umgeschrieben.
> 
> OK
> 
> > * Die Amavis-Anbindung für spamassassin/antivirus über Port 10025 wurde 
> >   beibehalten.
> 
> OK
> 
> > * während der Erstinstallation und bei Updates auf Version 6.0.7-1 von 
> >   univention-mail-postfix werden die .info-Files von 
> >   univention-mail-postfix-forward und univention-mail-postfix-kolab2 
> >   entfernt.
> >   Ebenso werden die SingleFileTemplates für master.cf und main.cf entfernt.
> >   Die Entfernung erfolgt über die Shellskript-Kommandos aus der 
> >   univention-lib.
> 
> OK
> 
> > * Im Joinskript wird jetzt mindestens ein Mail-Domänen-Objekt angelegt, 
> >   sofern noch keines vorhanden ist. Per Default wird dafür "$domainname" 
> >   verwendet. Über die UCR-Variable "mail/default/domains" können 
> >   leerzeichensepariert andere Domänen vor der Paketinstallation bzw. dem 
> >   Joinskript definiert werden.
> >   Im Joinskript wird das server_password_change Skript nocheinmal mit 
> >   "prechange" und "postchange" aufgerufen, um während des Joinvorgangs 
> >   das aktuelle Passwort zu übernehmen.
> 
> OK
> 
> > 
> > * Der in Bug 23761 beschriebene Traceback wird jetzt verhindert. Sollte die 
> >   Datei /etc/machine.secret fehlen, wird vom UCR-Template die Zeile 
> >   "bind_pw = MACHINE.SECRET_IS_MISSING" in die Zieldatei geschrieben.
> >   Durch den Aufruf des server-password-change-Skriptes wird der Wert 
> >   während des Joinvorgangs aktualisiert.
> 
> OK
> 
> > 
> > * Die UCR-Variablen postfix/masquerade/{domains,exceptions} wurden nach
> >   mail/postfix/masquerade/{domains,exceptions} umbenannt. Während des 
> >   Updates werden die Werte automatisch übernommen.
> 
> OK
> 
> > 
> > * In den LDAP-Tables (/etc/postfix/ldap.*) werden anscheinend die
> >   Postfix-Config-Variablen (z.B. $myhostname) nicht ausgewertet. Daher 
> >   wurden diese Variablen gegen die UCR-Pendants ausgetauscht.
> 
> OK

univention-mail-postfix (6.0.22-1) unstable; urgency=low
Comment 13 Felix Botner univentionstaff 2011-10-11 11:46:23 CEST
> > > * Das Binärpaket univention-mail-server setzt nur einige UCR-Variablen und 
> > >   bringt ein Listenermodul mit, um die UCR-Variable mail/hosteddomains 
> > >   automatisch zu pflegen. Die gesamte Konfiguration für den vollständigen 
> > >   Mailstack ist bereits in univention-mail-postfix enthalten und kann per 
> > >   UCR aktiviert werden.
> > 
> > FAILED, soweit gut, jedoch wird im Listener nur der cyrus 2.4 neu gestartet. 
> > Da wir auch cyrus 2.2 anbieten, sollte dieser wohl ebenfalls neu gestartet 
> > werden (/etc/init.d/cyrus2.2).
> 
> → fixed

OK

> > > * Die LDAP-Tables wurden in eigene Dateien ausgelagert ...
> > ...
> > FAILED - distlist (am Ldap Objekt wird "univentionMailMember" verwendet,
> >          in der Postfix Konfig "univentionMailListMember")
> 
> → fixed

OK

> > FAILED - ldap.sharedfolderlocal/ldap.sharedfolderremote 
> >          (Postfix kommt mit univentioninternalpostuser nicht 
> >          klar, Recipient address rejected: User unknown in virtual mailbox
> > table)
> 
> → fixed

OK

> > > * Für eine Zustellung der Mails an Domain-Users muss die UCR-Variable 
> > >   mail/postfix/transport/ldap/enabled auf yes/true gesetzt sein.
> > 
> > FAILED - mail/postfix/transport/ldap/enabled auf "no" gesetzt, 
> > Mailzustellung
> >          an User funktioniert weiterhin
> 
> Da habe ich mich missverständlich ausgedrückt:
> 
> Ist mail/postfix/transport/ldap/enabled auf "no" gesetzt, wird für alle
> Domänen-Benutzer versucht, die Mail lokal zuzustellen. Egal ob
> univentionMailHomeServer gesetzt ist oder nicht.
> 
> Ist mail/postfix/transport/ldap/enabled auf "yes" gesetzt und
> univentionMailHomeServer entspricht nicht dem lokalen FQDN, wird die Mail an
> den <univentionMailHomeServer> weitergeleitet.
> 
> Für die korrekte Zustellung in der Domäne sollte diese UCR-Variable daher bei
> der Verwendung von univention-mail-server i.d.R. auf "yes" stehen.

-> ucr set mail/postfix/transport/ldap/enabled=yes
Setting mail/postfix/transport/ldap/enabled
Multifile: /etc/postfix/main.cf

-> more main.cf | grep -A 1 -B 1 transport 

transport_maps = hash:/etc/postfix/transport,
        ldap:/etc/postfix/ldap.transport

--

virtual_transport = lmtp:127.0.0.1:2003

-> ucr set mail/postfix/transport/ldap/enabled=no
Setting mail/postfix/transport/ldap/enabled
Multifile: /etc/postfix/main.cf

-> more main.cf | grep -A 1 -B 1 transport 

transport_maps = hash:/etc/postfix/transport

--

virtual_transport = lmtp:127.0.0.1:2003

OK, wenn mail/postfix/transport/ldap/enabled auf no gesetzt ist, wird die ldap.transport nicht eingebunden.

Changelog Eintrag fehlt.
Comment 14 Sönke Schwardt-Krummrich univentionstaff 2011-10-28 11:38:24 CEST
Changelogeintrag wurde hinzugefügt.
Comment 15 Sönke Schwardt-Krummrich univentionstaff 2011-11-02 15:51:00 CET
Die LDAP-Table für Gruppen wurde noch einmal angepasst, um die Zustellung via uid zu vermeiden, was für die Canonical Maps notwendig war.

Bei der QA bitte Mailzustellung an Gruppen mit Benutzern, sowie Gruppen in Gruppen und Mischungen testen.

Ein Kurztest ist via 
/usr/sbin/postmap -q gruppe@example.com ldap:/etc/postfix/ldap.groups
möglich.

Bitte auch die reale Zustellung in Verbindung mit den Canonical Maps testen.
Comment 16 Felix Botner univentionstaff 2011-11-04 12:00:28 CET
OK - Mail an Gruppen mit Benutzern
OK - Gruppe in Gruppe 
OK - Gruppen (b) in Gruppe (a) plus Benutzer in Gruppe (a)
OK - Mails an Gruppen (mit nested Group) mit Umschreibung der 
     Absenderadresse/Empfängeradresse 

FAILED - Changelog, Eintrag passt nicht zum Bug

grep -B 1 -A 1 22369 changelog.tex 
\item By removing the global \ucsName{spam} user, the
  \ucsUCRShortV{mail/antispam/globalfolder} gets obsolete (\ucsBug{22369}).
Comment 17 Sönke Schwardt-Krummrich univentionstaff 2011-11-04 12:18:42 CET
(In reply to comment #16)
> OK - Mail an Gruppen mit Benutzern
> OK - Gruppe in Gruppe 
> OK - Gruppen (b) in Gruppe (a) plus Benutzer in Gruppe (a)
> OK - Mails an Gruppen (mit nested Group) mit Umschreibung der 
>      Absenderadresse/Empfängeradresse 
> 
> FAILED - Changelog, Eintrag passt nicht zum Bug
> 
> grep -B 1 -A 1 22369 changelog.tex 
> \item By removing the global \ucsName{spam} user, the
>   \ucsUCRShortV{mail/antispam/globalfolder} gets obsolete (\ucsBug{22369}).

Jein. Thematisch passt es besser zu Bug 23824. Daher wurde der Changelogeintrag auch entsprechend angepasst. Die UCR-Variable wurde aber schon vorab im Rahmen von Bug 22369 entfernt.
Comment 18 Felix Botner univentionstaff 2011-11-04 12:38:30 CET
OK
Comment 19 Sönke Schwardt-Krummrich univentionstaff 2011-12-13 15:50:04 CET
UCS 3.0-0 wurde veröffentlicht. Sollte der hier beschriebene Bug mit einer
neueren Version von UCS erneut auftreten, so sollte dieser Bug dupliziert
werden: "Clone This Bug"
Comment 20 Sönke Schwardt-Krummrich univentionstaff 2012-04-19 15:35:06 CEST
*** Bug 26842 has been marked as a duplicate of this bug. ***